TokenControllerUpdateToken Method |
PUT /Token/{id}
Updates a token.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult UpdateToken(
Guid id,
[FromBodyAttribute] TokenDefinitionData tokenData,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function UpdateToken (
id As Guid,
<FromBodyAttribute> tokenData As TokenDefinitionData,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ UpdateToken(
Guid id,
[FromBodyAttribute] TokenDefinitionData^ tokenData,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member UpdateToken :
id : Guid *
[<FromBodyAttribute>] tokenData : TokenDefinitionData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the token to update. - tokenData
- Type: Dundas.BI.WebApi.ModelsTokenDefinitionData
The token that needs to be modified. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
TokenDefinitionData object containing the token data, or a status code indicating the problem.
See Also